## ros-humble-pmb2-bringup 5.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pmb2_bringup)

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_auto_package(INSTALL_TO_SHARE config launch)

=== debian/changelog ===
ros-humble-pmb2-bringup (5.0.7-1jammy) jammy; urgency=high

  * Uncomment twist_mux_msgs dependency
  * Remove pal flags dependency
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-humble-pmb2-bringup (5.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 13 Jun 2023 00:00:00 -0000

ros-humble-pmb2-bringup (5.0.5-1jammy) jammy; urgency=high

  * Merge branch 'joystick_disable_default' into 'humble-devel'
    disable joystick launch on bringup
    See merge request robots/pmb2_robot!104
  * disable joystick launch on bringup
  * Merge branch 'feature/joystick' into 'humble-devel'
    Joystick teleop
    See merge request robots/pmb2_robot!101
  * remove dependency comment
  * add joystick commands dependencies
  * use radians/s for angular velocity
  * rename joy.yaml to joy_config.yaml
  * set twist_mux parameters to the corresponding node
  * use default autorepeat_rate for joystick
  * set joystick_relay cfg
  * launch joy_node
  * update joy_teleop config
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 15 May 2023 00:00:00 -0000

ros-humble-pmb2-bringup (5.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-pmb2-bringup (5.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 17 Apr 2023 00:00:00 -0000

ros-humble-pmb2-bringup (5.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Mar 2023 00:00:00 -0000

ros-humble-pmb2-bringup (5.0.1-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-humble-pmb2-bringup (5.0.0-1jammy) jammy; urgency=high

  * Merge branch 'robot_state_publisher' into 'humble-devel'
    launch robot_state_publisher from pmb2_bringup
    See merge request robots/pmb2_robot!90
  * launch robot_state_publisher from pmb2_bringup
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-pmb2-bringup (4.0.5-1jammy) jammy; urgency=high

  * Merge branch 'rm_launcher' into 'humble-devel'
    Remove pmb2.launch.py and dependencies
    See merge request robots/pmb2_robot!87
  * rm pmb2.launch.py and dependencies
  * Merge branch 'cleanup' into 'humble-devel'
    update package.xml deps, indentation fix
    See merge request robots/pmb2_robot!85
  * update package.xml deps
  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright
    See merge request robots/pmb2_robot!82
  * update copyright
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request robots/pmb2_robot!83
  * cleanup
  * Merge branch 'refactor_ld_population' into 'humble-devel'
    Refactor ld population
    See merge request robots/pmb2_robot!81
  * refactor LaunchDescription population
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request robots/pmb2_robot!80
  * update maintainers
  * Merge branch 'humble_fixes' into 'humble-devel'
    humble distro fixes
    See merge request robots/pmb2_robot!79
  * linters
  * Merge branch 'pmb2_launcher' into 'galactic-devel'
    pmb2 launcher
    See merge request robots/pmb2_robot!76
  * add description_path arg
  * pmb2 launcher
  * temporal fix deadman buttons empty
  * Contributors: Jordan Palacios, Noel Jimenez, Noel Jimenez Garcia

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-humble-pmb2-bringup (4.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-pmb2-bringup (4.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-pmb2-bringup (4.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jul 2021 00:00:00 -0000

ros-humble-pmb2-bringup (4.0.1-1jammy) jammy; urgency=high

  * Fix missing dependencies
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Jul 2021 00:00:00 -0000

ros-humble-pmb2-bringup (4.0.0-1jammy) jammy; urgency=high

  * Cleanup unused files
  * Add linters and fix errors
  * Cleanup pmb2_bringup
  * Remove old joystick_teleop.launch
  * Use unstamped topic in mobile_base_controller
  * Migrate pmb2_bringup to ROS2
  * First working version
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Jul 2021 00:00:00 -0000

ros-humble-pmb2-bringup (3.0.14-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 18 Jan 2021 00:00:00 -0000

ros-humble-pmb2-bringup (3.0.13-1jammy) jammy; urgency=high

  * Merge branch 'rename_tf_prefix' into 'erbium-devel'
    Rename tf_prefix to robot_namespace
    See merge request robots/pmb2_robot!60
  * Rename tf_prefix to robot_namespace
  * Contributors: davidfernandez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-pmb2-bringup (3.0.12-1jammy) jammy; urgency=high

  * Revert "Use master calib multipliers"
    This reverts commit b4f49b5d8f77efa562aa25bafd4676821189151d.
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 16 Jul 2020 00:00:00 -0000

ros-humble-pmb2-bringup (3.0.11-1jammy) jammy; urgency=high

  * Use master calib multipliers
  * Merge branch 'add-master-calibration' into 'erbium-devel'
    use multipliers from master calibration if available
    See merge request robots/pmb2_robot!61
  * use multipliers from master calibration if available
  * Merge branch 'fix-changelog' into 'erbium-devel'
    fixed changelog


=== debian/control ===
Source: ros-humble-pmb2-bringup
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-pmb2-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-joy, ros-humble-joy-teleop, ros-humble-launch-pal, ros-humble-pmb2-controller-configuration, ros-humble-pmb2-description, ros-humble-robot-state-publisher, ros-humble-twist-mux, ros-humble-twist-mux-msgs, ros-humble-ros-workspace
Description: Launch files and scripts needed to bring up the ROS nodes of a PMB2 robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-bringup//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-pmb2-bringup 5.1.2

=== debian/changelog ===
ros-humble-pmb2-bringup (5.1.2-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 06 Aug 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.1.1-1bookworm) bookworm; urgency=high

  * Publish odom tf for public sim
  * Contributors: David ter Kuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 04 Aug 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.1.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Aug 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.27-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 30 Jul 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.26-1bookworm) bookworm; urgency=high

  * Add warning for pal_module_cmake not found
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.25-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 27 Jun 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.24-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/rgbd-sensors' into 'humble-devel'
    Dtk/rgbd sensors
    See merge request robots/pmb2_robot!135
  * Change courier sensors to add-on-module
  * Change has_courier_rgbd_sensors to rgbd_sensors
  * Contributors: David ter Kuile, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 26 Jun 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.23-1bookworm) bookworm; urgency=high

  * Merge branch 'dtk/move-robot-args' into 'humble-devel'
    Dtk/move robot args
    See merge request robots/pmb2_robot!133
  * Change import for launch args
  * Contributors: David ter Kuile, davidterkuile

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 25 Jun 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.22-1bookworm) bookworm; urgency=high

  * Merge branch 'omm/complete_std' into 'humble-devel'
    Complete std
    See merge request robots/pmb2_robot!129
  * Fix linters
  * Restructure launch file
  * change to joy_linux and update joystick config
  * Add public sim
  * Update copyright + move imu into sensors
  * Cleaning and proper main structure
  * Launch standarization
  * Contributors: David ter Kuile, Oscar, davidterkuile, oscarmartinez, thomas.peyrucain

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 24 Jun 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.21-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 19 Jun 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.20-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 02 Jun 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.19-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Apr 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.18-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 10 Apr 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.17-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 09 Apr 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.16-1bookworm) bookworm; urgency=high

  * Merge branch 'feat/register-components' into 'humble-devel'
    remove need for remapping cmd_vel topic
    See merge request robots/pmb2_robot!121
  * remove need for remapping cmd_vel topic
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 01 Feb 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.15-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 17 Dec 2023 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.14-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 21 Nov 2023 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.13-1bookworm) bookworm; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.12-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.11-1bookworm) bookworm; urgency=high

  * Split bringup module
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 06 Nov 2023 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.10-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 18 Oct 2023 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.9-1bookworm) bookworm; urgency=high

  * Merge branch 'add_modules' into 'humble-devel'
    Adding modules
    See merge request robots/pmb2_robot!109
  * Adding modules
  * Contributors: Jordan Palacios

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 19 Sep 2023 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.8-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 03 Sep 2023 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.7-1bookworm) bookworm; urgency=high

  * Uncomment twist_mux_msgs dependency
  * Remove pal flags dependency
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 10 Jul 2023 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.6-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Jun 2023 16:00:00 -0000

ros-humble-pmb2-bringup (5.0.5-1bookworm) bookworm; urgency=high

  * Merge branch 'joystick_disable_default' into 'humble-devel'
    disable joystick launch on bringup
    See merge request robots/pmb2_robot!104
  * disable joystick launch on bringup
  * Merge branch 'feature/joystick' into 'humble-devel'
    Joystick teleop
    See merge request robots/pmb2_robot!101
  * remove dependency comment


=== debian/control ===
Source: ros-humble-pmb2-bringup
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: https://github.com/pal-robotics/pmb2_simulation
Standards-Version: 3.9.2

Package: ros-humble-pmb2-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-geometry-msgs, ros-humble-joy-linux, ros-humble-joy-teleop, ros-humble-launch-pal, ros-humble-pmb2-controller-configuration, ros-humble-pmb2-description, ros-humble-robot-state-publisher, ros-humble-twist-mux, ros-humble-twist-mux-msgs, ros-humble-ros-workspace
Description: Launch files and scripts needed to bring up the ROS nodes of a PMB2 robot.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-bringup//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-bringup//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-pmb2-bringup//opt/ros/humble/opt/pmb2_bringup/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-pmb2-bringup 5.3.0

=== debian/changelog ===
ros-humble-pmb2-bringup (5.3.0-1bookworm) bookworm; urgency=high

  * Merge branch 'fix/add_slash_to_nodes' into 'humble-devel'
    Add slash to node names on parameter files
    See merge request robots/pmb2_robot!146
  * Add slash to node names on parameter files
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 02 Sep 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.2.0-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 28 Aug 2024 16:00:00 -0000

ros-humble-pmb2-bringup (5.1.3-1bookworm) bookworm; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 18 Aug 2024 16:00:00 -0000
